ISCI(4)

NAME
isci - Intel C600 Serial Attached SCSI driver

SYNOPSIS
To compile this driver into your kernel, place the following lines in your kernel configuration file:

device scbus
device isci

Or, to load the driver as a module at boot, place the following line in loader.conf(5):

    isci_load="YES"

HARDWARE
The isci driver provides support for Intel C600 SAS controllers.

CONFIGURATION
To force legacy interrupts for all isci driver instances, set the following tunable value in loader.conf(5):

    hw.isci.force_legacy_interrupts=1

DEBUGGING
To enable debugging prints from the isci driver, set the

    hw.isci.debug_level

variable to a value between 1 and 4 in loader.conf(5).

The hardware layer in the isci driver has extensive logging capabilities which are disabled by default for performance reasons. These can be enabled by adding

    options ISCI_LOGGING

to the kernel configuration file.

SEE ALSO
cd(4), ch(4), da(4), pci(4), sa(4), scsi(4)

HISTORY
The isci driver first appeared in FreeBSD 8.3 and 9.1.

AUTHORS
-nosplit The isci driver was developed by Intel and originally written by Jim Harris <jimharris@FreeBSD.org> with contributions from Sohaib Ahsan and input from Scott Long <scottl@FreeBSD.org>.

This man page was written by Jim Harris <jimharris@FreeBSD.org>.